package leigh.astro.unit;

import leigh.mecha.log.MechaLogger;
import leigh.mecha.log.MechaLoggerFactory;
import org.junit.Test;

import static junit.framework.TestCase.assertEquals;


/**
 * JUnit test-cases for the {@link HoursMinutessSecondsTest} class.
 *
 * @author Alex Leigh
 */
public class HoursMinutessSecondsTest {
    private static final MechaLogger logger = MechaLoggerFactory.getLogger(HoursMinutessSecondsTest.class);

    @Test
    public void testHms() {
        HoursMinutesSeconds hms = new HoursMinutesSeconds(180);
        assertEquals(12.0, hms.getHours());
        assertEquals(0.0, hms.getMinutes());
        assertEquals(0.0, hms.getSeconds());

        logger.info("hms: {}", hms);
    }

}
